/*
 * Ukazka pouziti vlastni vyjimky.
 */

package ija.exception;

/**
 * Ukazka pouziti vlastni vyjimky.
 * @author Radek Koci
 */
public class Test {

    protected static void zpracuj(String[] args) throws MyException {
        int pocetP = args.length;
        if (pocetP < 2)
            throw new MyException(pocetP);
        System.out.println("Spravny pocet: " + pocetP);
    }

    public static void main(String[] args) {
        try {
            zpracuj(args);
        }
        catch (MyException ex) {
            System.out.println("Malo parametru: " + ex.getPocet());
        }
        finally {
            System.out.println("Konec");
        }
    }
}
